import numpy as np
from scipy.interpolate import CubicSpline

# np.set_printoptions(precision=4, suppress=True)


def get_divdiff_tab(x, y):
    assert x.ndim == 1 and y.ndim == 1 and x.shape == y.shape
    N = x.size
    assert N >= 2
    tab = np.zeros((N + 1, N))
    tab[0, :] = x
    tab[1, :] = y
    for k in range(1, N):
        delta_y = tab[k, 1:(N - k + 1)] - tab[k, 0:(N - k)]  # length N-k
        delta_x = x[k:] - x[:N - k]  # Length N-k
        new_row = delta_y / delta_x  # Pointwise division
        tab[1 + k, :N - k] = new_row
    return tab

