import numpy as np
import matplotlib.pyplot as plt

plt.rcParams.update({"text.usetex": True, "font.family": "sans-serif", "font.sans-serif": ["Helvetica"]})

T = 25
Ts = np.arange(25)
data = np.zeros((3, T))
P = np.array([[0.3, 0.3, 0.4], [0.2, 0.5, 0.2], [0.5, 0.2, 0.4]])
data[:, 0] = np.array([0.2, 0.2, 0.6])
for t in range(1, 25):
    data[:, t] = P @ data[:, t - 1]

fig, ax = plt.subplots()
ax.grid()
ax.plot(Ts, data[0, :], label='$C_1$')
ax.plot(Ts, data[1, :], label='$C_2$')
ax.plot(Ts, data[2, :], label='$C_3$')
ax.legend()
plt.savefig("mole-3.eps", format='eps')
